Skip to main content
POST
Mint Consumer Api Key

Authorizations

Authorization
string
header
required

A floo_ API key.

Headers

X-Floo-Org-Id
string<uuid>

Organization to act in; defaults to the one joined most recently.

Path Parameters

app_id
string<uuid>
required
consumer_id
string<uuid>
required

Body

application/json

Require a key name with optional scopes and a bounded per-minute rate limit.

name
string
required
Required string length: 1 - 120
scopes
string[] | null
rate_limit_rpm
integer | null
Required range: 1 <= x <= 100000

Response

Successful Response

Include the raw bearer secret in the response to key creation.

id
string<uuid>
required
app_id
string<uuid>
required
consumer_id
string<uuid>
required
prefix
string
required
name
string
required
scopes
string[]
required
rate_limit_rpm
integer
required
last_used_at
string<date-time> | null
required
created_at
string<date-time>
required
raw_key
string
required